{ pkgs , ... } :

{
	nixpkgs = {
		overlays = [
			( self : super :
				with pkgs ;

				{
					kernelmaft = {

						bookwyrm = callPackage (
							import ./bookwyrm.nix
						) {} ;

						python = {

							bw-file-resubmit = callPackage (
								import ./python3.11-bw-file-resubmit.nix
							) {} ;

							django-imagekit = callPackage (
								import ./python3.11-django-imagekit.nix
							) {} ;

							django-pgtrigger = callPackage (
								import ./python3.11-django-pgtrigger.nix
							) {} ;

							django-sass-processor = callPackage (
								import ./python3.11-django-sass-processor.nix
							) {} ;

							s3-tar = callPackage (
								import ./python3.11-s3-tar.nix
							) {} ;

						} ;

					} ;

					# TODO: Use the following template once the custom Python packages have been converted to use `buildPythonPackage`
        	#
        	# python311 = super . python311 . override {
        	#   packageOverrides = python-self : python-super : {
        	#     package-name = super . callPackage ( import ./package-file.nix ) {} ;
        	#   } ;
        	# } ;

				}
			)
		] ;
	} ;
}
