# Nix Packages

## Description

An assortment of Nix packages not in the official collection.
They can either be imported individually or using the overlay if you're on NixOS.

These are purposefully written without support for [overriding](https://nixos.org/guides/nix-pills/17-nixpkgs-overriding-packages) in order to minimise complexity.
If you want to build upon them I encourage you to fork this repository.

## Examples

> **Note:**
> You should replace the commits here with the latest one, or whichever one you want to use.
> The hashes will of course differ.

Using a specific package:

```nix
pkgs . callPackage ( import ( pkgs . fetchurl {
	url = "https://kernelmaft.com/forgejo/zedfrigg/nix-packages/raw/commit/c45884c66f31f8d8d80866bebc13e9e963e02a70/python3.11-django-imagekit.nix" ;
	hash = "sha256-E4mo2JvK5SuxC6SQ7O5ZjhzehmxEThNJ7F6gBnil8ho=" ;
} ) ) {}
```

Using the NixOS overlay:

```nix
imports = [
	( fetchTarball {
		url = "https://kernelmaft.com/forgejo/zedfrigg/nix-packages/archive/432123bb0984dd766c16ac06b7e3ef4cfee36145.tar.gz" ;
		sha256 = "sha256:1wx7ljabgndandcd11jmr590jfpkhs55mqrgksf24ji90m37wpq0" ;
	} + "/nixos-overlay.nix" )
] ;
```
